package com.steerinfo.meterwork.meterworkoldandnew.service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * @author Bourne.Cao
 * @date 2022-08-06 10:45
 */
public interface IMeterWorkOldAndNewService {

    // 汽车衡联合查询Service
    List<HashMap> getNewFirst(HashMap params);

    List<HashMap> getOldFirst(HashMap params);

    List<HashMap> getNew(HashMap params);

    List<HashMap> getOld(HashMap params);

    List<HashMap> countNew(HashMap params);

    List<HashMap> countOld(HashMap params);

    // 轨道衡联合查询Service
    List<HashMap> getRailwayNew(HashMap params);

    List<HashMap> getRailwayOld(HashMap params);

    List<HashMap> getRailwayFirstNew(HashMap params);

    List<HashMap> getRailwayFirstOld(HashMap params);

    List<HashMap> countRailwayNew(HashMap params);

    List<HashMap> countRailwayOld(HashMap params);
}
